/********************************
** General
********************************/
html,
body {  
  width: 100vw;
  height: 100vh;
  font-family: var(--bodyFont);
  font-size: min(max(16px, 5vmax), 22px);
  background-color: var(--7sGreenDark);
  color: var(--7sGreenDarkest);
  
/*   scroll-behavior: smooth; */
}

h1 {
  text-align: center;
  font-family: var(--headerFont);
  color: var(--7sGold);
/*   -webkit-text-fill-color: var(--7sGold);
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: var(--7sGreenDarkest); */
  text-shadow:   3px  2px 1px var(--7sGreenDarkest),
                -1px -1px 1px var(--7sGreenDarkest),
                 1px -1px 1px var(--7sGreenDarkest),
                -1px  1px 1px var(--7sGreenDarkest),
                 1px  1px 1px var(--7sGreenDarkest);
}

h1, h2, h3, h4, h5, h6, label {
  margin-bottom: 0;
}

h5 {
  text-align: center;
}

input[type='text'] {
  width: 100%;
  border: none;
  border-bottom: 1px solid var(--7sGreenDark);
}

input[type="number"]:focus,
input[type="text"]:focus,
textarea:focus {
  outline-color: var(--7sGold);
  border: none;
}

i.fab, i.fas {
  color: var(--7sGold);
  text-shadow:   1px  0px 1px var(--7sGreenDarkest),
                -1px  0px 1px var(--7sGreenDarkest),
                 0px  1px 1px var(--7sGreenDarkest),
                 0px -1px 1px var(--7sGreenDarkest);
}

.slide-enter-active, .slide-leave-active {
  transform-origin: center top;
  transition: transform var(--animationTimeShort);
}

.slide-enter, .slide-leave-to {
  transform: scaleY(0);
}

.checkboxToggle {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 30px;
}

.checkboxToggle input {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

.toggle {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--7sGreenLight);
  border: 1px solid var(--7sGreenDarkest);
  border-radius: var(--borderRadius);
  box-shadow: 1px 1px 3px 0px var(--7sGreenDarkest), 0px 0px 0px 0px var(--7sGold) inset;
  transition: background-color var(--animationTimeShort);
}

.toggle:before {
  position: absolute;
  content: "";
  height: 80%;
  width: 40%;
  top: 10%;
  left: 5%;
  background-color: var(--7sGold);
  border: 1px solid var(--7sGreenDarkest);
  border-radius: var(--borderRadius);
  transition: left var(--animationTimeShort);
}

input:checked + .toggle {
  background-color: var(--7sGreen);
}

input:checked + .toggle:before {
  left: 55%;
}

.overBudget {
  color: red;
  border-color: red;
}

.selectionBox {
  display: grid;
  position: relative;
/*   z-index: 9; */
  grid-gap: var(--spacingLarge);
  grid-auto-columns: auto;
  grid-template-columns: repeat(auto-fit, minmax(225Npx, 1fr));
  grid-auto-rows: 1fr;
  overflow: auto;
  padding: var(--spacingLarge);
  border: 1px solid var(--7sGreenDarkest);
  border-radius: var(--borderRadius);
  box-shadow: 1px 1px 3px 0px var(--7sGreenDarkest) inset;
  background-color: var(--7sGreenLight);
  color: var(--7sGreenDarkest);
}

.selectionBox>label {
  position: relative;
/*   z-index: 8; */
  display: flex;
}

.selectionBox>label>input {
  width: 0;
  height: 0;
}

.selectionBox>label>div,
.selectionBox>label>input+div {
  position: relative;
/*   z-index: 8; */
  width: 100%;
  padding: var(--spacingMedium);
  border: 1px solid var(--7sGreenDarkest);
  border-radius: var(--borderRadius);
  box-shadow: 1px 1px 3px 0px var(--7sGreenDarkest),
              0px 0px 0px 0px var(--7sGold) inset;
  background-color: #fff;
  color: var(--7sGreenDarkest);
  text-align: left;
  transition: box-shadow var(--animationTimeShort) linear 0s,
              border var(--animationTimeShort) linear 0s;
}

.selectionBox>label>input:checked+div {
  border: 1px solid var(--7sGold);
  box-shadow: 0px 0px 0px 0px var(--7sGreenDarkest),
              0px 0px 4px 2px var(--7sGold) inset;
}

.selectionBox.overBudget>label>input:checked+div {
  box-shadow: 0px 0px 0px 0px var(--7sGreenDarkest),
              0px 0px 0px 2px red inset;
}

.selectionBox small {
  font-size: 70%;
}

/********************************
** Navigation
********************************/
#navWrapper { 
  position: sticky;
  z-index: 10;
  top: 0;
  left: 0;
  width: 100vw;
  height: var(--navHeaderSize);
}

#navSteps {
  position: relative;
  margin: 0;
  padding: 0;
  text-align: center;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

#navSteps>li {
  display: flex;
  font-family: var(--headerFont);
}

#navSteps li.stepNumWrapper {
  position: relative;
  width: var(--spacingXXLarge);
  height: var(--spacingXXLarge);
  font-size: var(--spacingXLarge);
  border-radius: 50%;
  transition:   color var(--animationTimeShort) linear .0s,
                background-color var(--animationTimeShort) linear .0s;
  cursor: pointer;
}

#navSteps li.stepNumWrapper a.stepNum {
  position: relative;
  height: 100%;
  width: 100%;
  transition: color var(--animationTimeShort) linear .0s;
}

#navSteps li.stepNumWrapper a.stepNum>span {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}

/* Colors */
#navWrapper {
  background-color: var(--7sGreenDarkest);
  border-bottom: .5vmin solid var(--7sGold);
}

#stepMarker,
#navSteps li.stepNumWrapper.active {
  background-color: var(--7sGold);
}

#navSteps li.stepNumWrapper {
  border: .5vmin solid var(--7sGold);
}

#navSteps li.stepNumWrapper.active {
  color: var(--7sGreenDarkest);
}

#navSteps li.stepNumWrapper.active a.stepNum {
  color: var(--7sGreenDarkest);
}

#navSteps>li,
#navSteps li.stepNumWrapper a.stepNum {
  color: var(--7sGold);
}

/* Colors Inverse */
#navWrapper.inverse {
  background-color: var(--7sGold);
  border-bottom: .5vmin solid var(--7sGreenDarkest);
}

#navWrapper.inverse #stepMarker,
#navWrapper.inverse #navSteps li.stepNumWrapper.active {
  background-color: var(--7sGreenDark);
}

#navWrapper.inverse #navSteps li.stepNumWrapper {
  border: .5vmin solid var(--7sGreenDarkest);
}

#navWrapper.inverse #navSteps li.stepNumWrapper.active {
  color: var(--7sGold);
}

#navWrapper.inverse #navSteps li.stepNumWrapper.active a.stepNum {
  color: var(--7sGold);
}

#navWrapper.inverse #navSteps>li,
#navWrapper.inverse #navSteps li.stepNumWrapper a.stepNum {
  color: var(--7sGreenDarkest);
}

/********************************
** Wrappers
********************************/
#mainWrapper {
/*   padding-top: var(--navHeaderSize); */
  opacity: 1;
}

#mainWrapper.loading {
  opacity: 0;
}

#stepWrapper {
  width: 100%;
/*   height: 100%; */
  display: grid;
  grid-row-gap: var(--navHeaderSize);
  justify-content: center;
/*   overflow: auto; */
  padding: var(--navHeaderSize) var(--spacingXLarge);
}

.stepSection {
  width: 100%;
  min-height: 70vh;
  max-width: 1200px;
  padding: var(--spacingLarge);
  background-color: #fff;
  border-radius: var(--borderRadius);
/*   box-shadow: 5px 5px 8px 5px var(--7sGreenDarkest); */
  box-shadow: 3px 3px 9px 5px var(--7sGreenDarkest);
}

.content-header {
    padding: var(--spacingLarge) 0;
/*     border-bottom: 1px solid var(--7sGreenDarkest); */
    text-align: center;
}

.content-text {
  padding: var(--spacingLarge) 0;
}

.content-selections {
  padding: var(--spacingLarge) 0;
}

/********************************
** 1 - Welcome
********************************/

/********************************
** 2 - Traits
********************************/
#traitsSection .content-selections {
  display: grid;
  grid-gap: var(--spacingLarge);
  grid-template-columns: 1fr 1fr;
}

#traitsSection .selectionBox {
  grid-template-columns: 1fr;
}

#traitsSection .selectionBox>label>input+div {
  text-align: center;
}

/********************************
** 3 - Nation
********************************/
#nationSection>.content-selections {
  display: grid;
  grid-gap: var(--spacingLarge);
  grid-template-columns: 1fr;
}

#selectedNationalityBox {
  height: 50vh;
}

#selectedNationBonusBox {
  height: 20vh;
  grid-template-columns: 1fr 1fr;
}

#selectedNationBonusBox>label>div {
  display: flex;
  align-items: center;
  justify-content: center;
}

/********************************
** 4 - Backgrounds
********************************/
#selectedBackgroundsBox {
  height: 75vh;
  grid-template-columns: 1fr;
}

/********************************
** 5 - Skills
********************************/
#skillPoints {
  border: 1px solid var(--7sGreenDarkest);
  padding: var(--spacingXSmall) var(--spacingSmall);
}

#skillTable {
  grid-template-columns: 1fr;
}

#skillTable.selectionBox>label>div {
  display: grid;
  grid-template-columns: 49% repeat(4, auto) 1fr;
  grid-gap: var(--spacingSmall);
  align-items: flex-start;
}

#skillTable>label>div>input {
  height: auto;
  width: auto;
}

#skillTable>label>div>span.selectedSkillPointsLabel {
  text-align: right;
}

#skillsSection input[type="number"] {
  max-width: 50px;
  border: none;
  border-bottom: 1px solid var(--7sGreenDarkest);
  text-align: center;
}

#skillsSection input[type=number]::-webkit-inner-spin-button {
  opacity: 1;
}

/********************************
** 6 - Advantages
********************************/
#advantagePoints {
  border: 1px solid var(--7sGreenDarkest);
  padding: .var(--spacingXSmall) var(--spacingSmall);
}

#advantagesSection>.content-display {
  display: grid;
  grid-template-columns: 1fr;
}

#selectedAdvantagesBox {
  width: 100%;
  height: 75vh;
}

#selectedAdvantagesBox .backgroundAdvantageMessage {
  font-weight: bold;
  text-decoration: underline;
  color: var(--7sGreen);
}

#selectedAdvantagesBox .fa-kickstarter-k,
#selectedAdvantagesBox .fa-child {
  position: absolute;
  right: var(--spacingMedium);
  opacity: .5;
  font-size: 150%;
}

#selectedAdvantagesBox .fa-kickstarter-k {
  top: var(--spacingMedium);
}

#selectedAdvantagesBox .fa-child {
  bottom: var(--spacingMedium);
}

/********************************
** 7 - Arcana
********************************/
#arcanaSection>.content-selections {
  display: grid;
  grid-gap: var(--spacingLarge);
  grid-template-columns: 1fr;
}

#selectedArcanaVirtueBox.selectionBox,
#selectedArcanaHubrisBox.selectionBox {
  height: 75vh;
  grid-auto-rows: auto;
}

/********************************
** 8 - Story
********************************/
#storySection .content-selections {
  display: grid;
  grid-gap: var(--spacingLarge);
}

#selectedStoryBox {
  grid-template-columns: 100%;
  grid-auto-rows: auto;
}

#selectedStoryBox .storyStepText {
  resize: vertical;
  padding: var(--spacingMedium);
  border: 1px solid var(--7sGreenDarkest);
}

#selectedStoryBox .storyStep {
  display: grid;
  grid-template-columns: auto 1fr auto;
  grid-gap: var(--spacingMedium);
  align-items: center;
  padding-bottom: var(--spacingMedium);
}

#selectedStoryBox .storyStepRemoveButton {
  cursor: pointer;
  font-size: 175%;
}

#selectedStoryBox .storyStepAddButton {
  padding-top: var(--spacingMedium);
  font-size: 175%;
  text-align: center;
}

#selectedStoryBox .storyStepAddButton>i {
  cursor: pointer;
}

#secondStoryLabel {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
}

/********************************
** 9 - Details
********************************/

/********************************
** 10 - Summary
********************************/

